Bug 1012565 - horizon: copy of a file from one swift container to a second adds the file with spaces between file name and the automatically added "copy" as default
horizon: copy of a file from one swift container to a second adds the file wi...
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
x86_64 Linux
unspecified Severity low
: ---
: 6.0 (Juno)
Assigned To: Julie Pichon
Ami Jeain
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-09-26 12:17 EDT by Dafna Ron
Modified: 2015-02-15 17:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-07-03 05:15:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screen shot (157.84 KB, image/png)
2013-09-26 12:17 EDT, Dafna Ron
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1231544 None None None Never
OpenStack gerrit 80863 None None None Never

  None (edit)
Description Dafna Ron 2013-09-26 12:17:56 EDT
Created attachment 803478 [details]
screen shot

Description of problem:

I copied a file from one swift container to a second swift container and the new file was created with spaces between the file name and "copy":

create_horizon.txt copy

I think that in linux it would be better to add underscore instead of spaces (it would make life easier for users)

**this is the name that appears as default - the user can change it. **

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. copy a file from one container to a second container 

Actual results:

the file as added with spaces in the name i.e <file_name> copy

Expected results:

I think that we should add underscore or minus since its easier in linux 
Additional info:
Comment 2 Julie Pichon 2014-05-27 07:10:41 EDT
Patch pending upstream for Juno.

Note You need to log in before you can comment on or make changes to this bug.